Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Connector.Get(ctx, operations.C1APIAppV1ConnectorServiceGetRequest{
AppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ConnectorServiceGetResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.connector.get({
appId: "<id>",
id: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connectorView": {
"appPath": "<string>",
"capabilitiesPath": "<string>",
"connector": {
"appId": "<string>",
"canResumeSync": true,
"catalogId": "<string>",
"config": {
"@type": "<string>"
},
"configUpdatedAt": "2023-11-07T05:31:56Z",
"connectorApiVersion": 123,
"connectorSyncCronSchedule": {
"cronSpec": "<string>",
"start": "2023-11-07T05:31:56Z",
"timezone": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disableCheckBadSync": true,
"displayName": "<string>",
"downloadUrl": "<string>",
"id": "<string>",
"oauthAuthorizedAs": {
"authEmail": "<string>",
"authorizedAt": "2023-11-07T05:31:56Z"
},
"parallelSyncWorkerCount": 123,
"profileAllowList": [
"<string>"
],
"profileIgnoreList": [
"<string>"
],
"status": {
"completedAt": "2023-11-07T05:31:56Z",
"lastError": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"syncConfig": {
"syncResourceTypeIds": [
"<string>"
]
},
"syncDisabledAt": "2023-11-07T05:31:56Z",
"syncDisabledCategory": "<string>",
"syncDisabledReason": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userIds": [
"<string>"
]
},
"usersPath": "<string>"
},
"expanded": [
{
"@type": "<string>"
}
]
}Connector
Get
Get a connector.
GET
/
api
/
v1
/
apps
/
{app_id}
/
connectors
/
{id}
Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Connector.Get(ctx, operations.C1APIAppV1ConnectorServiceGetRequest{
AppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ConnectorServiceGetResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.connector.get({
appId: "<id>",
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId of the app the connector is attached to.
The id of the connector.
Response
200 - application/json
The ConnectorServiceGetResponse message contains the connectorView, and an expand mask.
The ConnectorServiceGetResponse message contains the connectorView, and an expand mask.
Was this page helpful?
⌘I